import { fileURLToPath, URL } from "node:url"

import { defineConfig } from "vite"
import vue from "@vitejs/plugin-vue"
import vueJsx from "@vitejs/plugin-vue-jsx"

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue(), vueJsx()],
  resolve: {
    alias: {
      "@": fileURLToPath(new URL("./src", import.meta.url))
    }
  },
  server: {
    proxy: {
      "/xuqm": {
        target: "http://localhost:4562/xuqm",
        rewrite: (path) => path.replace(/^\/xuqm/, ""), // 重写路径
        changeOrigin: true // target是域名的话，需要这个参数，
      }
    }
  }
})
